FABS(3)

NAME
fabs, fabsf, fabsl - absolute value of floating-point number

SYNOPSIS
#include <math.h>

double fabs(double x);
float fabsf(float x);
long double fabsl(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

fabsf(), fabsl():
    _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE >= 600 || _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L;
    or cc -std=c99

DESCRIPTION
The fabs() functions return the absolute value of the floating-point number x.

RETURN VALUE
These functions return the absolute value of x. If x is a NaN, a NaN is returned. If x is -0, +0 is returned. If x is negative infinity or positive infinity, positive infinity is returned.

ERRORS
No errors occur.

CONFORMING TO
C99, POSIX.1-2001. The variant returning double also conforms to SVr4, 4.3BSD, C89.

SEE ALSO
abs(3), cabs(3), ceil(3), floor(3), labs(3), rint(3)

COLOPHON
This page is part of release 3.39 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.